Recommended iPad Models

The Lightning DS App will run on any iPad with iOS 11 and newer system. Old Apple device which can not install iOS 11 is no longer supported due to lack of 64bit App support.

If you have a large music collection, you may need to get a flagship type for proper operation. Please refer to this article for detailed information.

 

Have more questions? Submit a request

Comments

Powered by Zendesk